Bug 1538647 - esc should not require coolkey
Summary: esc should not require coolkey
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: esc
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jack Magne
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 14:13 UTC by Jakub Jelen
Modified: 2019-05-03 07:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 07:44:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jelen 2018-01-25 14:13:37 UTC
Description of problem:
The ESC still requires coolkey on RPM level. It should switch to OpenSC, as the only supported smart card driver in future releases.

This was Fedora 26 project [1], which moved quite much everything away from coolkey, but esc somehow survived.

According to Bob, there will be need to implement some modification to OpenSC, so it will be able to collect some information about the driver and a way to detect non-provisioned card, but I will have a look into that.

[1] https://fedoraproject.org/wiki/Changes/Replace_Coolkey_with_OpenSC

Comment 1 Fedora End Of Life 2018-02-20 15:34:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Ben Cotton 2019-05-02 22:02:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jakub Jelen 2019-05-03 07:44:48 UTC
If I see right, the latest Fedora 30 build no longer depends on coolkey so I think this can be closed.


Note You need to log in before you can comment on or make changes to this bug.